com.cloudera.sqoop.lib

## Class BlobRef

- java.lang.Object
- - org.apache.sqoop.lib.LobRef<DATATYPE,CONTAINERTYPE,ACCESSORTYPE>
  - - com.cloudera.sqoop.lib.LobRef<byte[],org.apache.hadoop.io.BytesWritable,java.io.InputStream>
    - - org.apache.sqoop.lib.BlobRef
      - - com.cloudera.sqoop.lib.BlobRef

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, org.apache.hadoop.io.Writable

  Deprecated.
  use org.apache.sqoop.lib.BlobRef instead.

      public class BlobRef
      extends BlobRef

  BlobRef is a wrapper that holds a BLOB either directly, or a reference to a file that holds the BLOB data.
  See Also:
    `BlobRef`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.commons.logging.Log` | `LOG` Deprecated.

    - ### Fields inherited from class com.cloudera.sqoop.lib.LobRef

      `EXTERNAL_MATCHER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobRef()` Deprecated.
    `BlobRef(byte[] bytes)` Deprecated.
    `BlobRef(java.lang.String file, long offset, long length)` Deprecated. Initialize a BlobRef to an external BLOB.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BlobRef` | `parse(java.lang.String inputString)` Deprecated. Create a BlobRef based on parsed data from a line of text.

    - ### Methods inherited from class org.apache.sqoop.lib.BlobRef

      `deepCopyData, getExternalSource, getInternalData, getInternalSource, readFieldsInternal, writeInternal`

    - ### Methods inherited from class org.apache.sqoop.lib.LobRef

      `clone, close, finalize, getData, getDataObj, getDataStream, getDataStream, isExternal, readFields, setDataObj, toString, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.apache.commons.logging.Log LOG

      Deprecated.

  - ### Constructor Detail

    - #### BlobRef

          public BlobRef()

      Deprecated.

    - #### BlobRef

          public BlobRef(byte[] bytes)

      Deprecated.

    - #### BlobRef

          public BlobRef(java.lang.String file,
                 long offset,
                 long length)

      Deprecated.
      Initialize a BlobRef to an external BLOB.
      Parameters:
        `file` - the filename to the BLOB. May be relative to the job dir.
        `offset` - the offset (in bytes) into the LobFile for this record.
        `length` - the length of the record in bytes.

  - ### Method Detail

    - #### parse

          public static BlobRef parse(java.lang.String inputString)

      Deprecated.
      Create a BlobRef based on parsed data from a line of text. This only operates correctly on external blobs; inline blobs are simply returned as null. You should store BLOB data in SequenceFile format if reparsing is necessary.
      Parameters:
        `inputString` - the text-based input data to parse.
      Returns:
        a new BlobRef containing a reference to an external BLOB, or an empty BlobRef if the data to be parsed is actually inline.

Copyright © 2015 The Apache Software Foundation